Summary: Mailing list manager with built in web access.
Name: mailman
Version: 2.0beta2
Release: 1
Epoch: 2
Group: Applications/Internet
Source0: ftp://ftp.list.org/pub/mailman/mailman-%{version}.tgz
Source1: mm_cfg.py
Patch0: mailman-1.0rc1-rh.patch
Copyright: GPL
URL: http://www.list.org
BuildRoot: %{_tmppath}/%{name}-root
Prereq: shadow-utils, /usr/bin/newaliases, /usr/bin/crontab
Requires: webserver, python >= 1.5.2

%description 
Mailman is software to help manage email discussion lists, much like
Majordomo and Smartmail. Unlike most similar products, Mailman gives
each mailing list a web page, and allows users to subscribe,
unsubscribe, etc. over the web. Even the list manager can administer
his or her list entirely from the web. Mailman also integrates most
things people want to do with mailing lists, including archiving, mail
<-> news gateways, and so on.

When mailman is done installing, you will have to run

/usr/share/mailman/bin/mmsitepass <new-password>

to create the mailman administrator password.

%prep
%setup -q
%patch0 -p1 -b .rh

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
	./configure \
	--prefix=/usr/share/mailman \
	--with-python=/usr/bin/python \
	--with-mail-gid=mail \
	--with-cgi-id=nobody
cp %{SOURCE1} Mailman/mm_cfg.py.dist
make
	
%install
rm -fr $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr/share/mailman
mkdir -p $RPM_BUILD_ROOT/home/httpd/icons
cp misc/*.jpg misc/*.png $RPM_BUILD_ROOT/home/httpd/icons

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/files.%{name}

%pre
if ! eval id -u mailman > /dev/null 2>&1; then
  useradd -c "Mailing List Manager" -d /usr/share/mailman -M -r mailman
fi

%post
if [ ! -f /var/spool/cron/mailman ]; then
  crontab -u mailman /usr/share/mailman/cron/crontab.in
fi
if ! grep "mailman-owner" /etc/aliases > /dev/null 2>&1; then
  cat >> /etc/aliases << EOF
# mailman aliases
mailman: root
mailman-owner: mailman
EOF
  newaliases > /dev/null 2>&1 || :
fi

%postun
if [ $1 = 0 ]; then
  crontab -u mailman -r
  if eval id -u mailman > /dev/null 2>&1; then
    userdel mailman
  fi
  grep -E -v 'mailman aliases|mailman:|mailman-owner:' /etc/aliases > \
	/etc/aliases.mailman
  mv /etc/aliases.mailman /etc/aliases
  /usr/bin/newaliases > /dev/null 2>&1 || :
fi

%files
%defattr(-,mailman,mailman)
%doc ACKNOWLEDGMENTS BUGS FAQ NEWS README README.LINUX TODO UPGRADING INSTALL
%doc gnu-COPYING-GPL
%attr(0644,root,root) /home/httpd/icons/*
%attr(2775,mailman,mailman) %dir /usr/share/mailman
%attr(2775,mailman,mailman) %dir /usr/share/mailman/Mailman
/usr/share/mailman/Mailman/Archiver
/usr/share/mailman/Mailman/Autoresponder.py*
/usr/share/mailman/Mailman/Bouncer.py*
/usr/share/mailman/Mailman/Bouncers
/usr/share/mailman/Mailman/Cgi
/usr/share/mailman/Mailman/Cookie.py*
/usr/share/mailman/Mailman/Crypt.py*
/usr/share/mailman/Mailman/Defaults.py*
/usr/share/mailman/Mailman/Deliverer.py*
/usr/share/mailman/Mailman/Digester.py*
/usr/share/mailman/Mailman/Errors.py*
/usr/share/mailman/Mailman/GatewayManager.py*
/usr/share/mailman/Mailman/HTMLFormatter.py*
/usr/share/mailman/Mailman/Handlers
/usr/share/mailman/Mailman/ListAdmin.py*
/usr/share/mailman/Mailman/LockFile.py*
/usr/share/mailman/Mailman/Logging
/usr/share/mailman/Mailman/Mail*.py*
/usr/share/mailman/Mailman/Message.py*
/usr/share/mailman/Mailman/Pending.py*
/usr/share/mailman/Mailman/SecurityManager.py*
/usr/share/mailman/Mailman/Utils.py*
/usr/share/mailman/Mailman/Version.py*
%config /usr/share/mailman/Mailman/mm_cfg.py*
/usr/share/mailman/Mailman/__init__.py*
/usr/share/mailman/Mailman/aliases.py*
/usr/share/mailman/Mailman/htmlformat.py*
/usr/share/mailman/Mailman/pythonlib
/usr/share/mailman/Mailman/versions.py*
/usr/share/mailman/archives/
%attr(2775,mailman,mailman)/usr/share/mailman/bin/
/usr/share/mailman/cgi-bin/
/usr/share/mailman/cron/
/usr/share/mailman/data/
/usr/share/mailman/filters/
/usr/share/mailman/lists/
/usr/share/mailman/locks/
/usr/share/mailman/logs/
/usr/share/mailman/mail/
/usr/share/mailman/qfiles/
/usr/share/mailman/scripts/
%config /usr/share/mailman/templates

%changelog
* Wed May 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- Update to 2.0beta2 to pick up security fixes.
- Change Requires: python to list >= 1.5.2

* Mon Nov  8 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- 1.1

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- 1.0 final.

* Tue Jun 15 1999 Preston Brown <pbrown@redhat.com>
- security fix for cookies
- moved to /usr/share/mailman

* Fri May 28 1999 Preston Brown <pbrown@redhat.com>
- fix up default values.

* Fri May 07 1999 Preston Brown <pbrown@redhat.com>
- modifications to install scripts

* Thu May 06 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for SWS 3.0
